<?php

// +---------------------------------------------------------------------------+
// | Universal Plugin 1.0 for Geeklog - The Ultimate Weblog                    |
// +---------------------------------------------------------------------------+
// | index.php                                                                 |
// |                                                                           |
// +---------------------------------------------------------------------------+
// | Copyright (C) 2002 by the following authors:                              |
// |                                                                           |
// | Author:                                                                   |
// | Constructed with the Universal Plugin                                     |
// | Copyright (C) 2002 by the following authors:                              |
// | Tom Willett                 -    twillett@users.sourceforge.net           |
// | Blaine Lang                 -    langmail@sympatico.ca                    |
// | The Universal Plugin is based on prior work by:                           | 
// | Tony Bibbs                  -    tony@tonybibbs.com                       |
// +---------------------------------------------------------------------------+
// |                                                                           |
// | This program is free software; you can redistribute it and/or             |
// | modify it under the terms of the GNU General Public License               |
// | as published by the Free Software Foundation; either version 2            |
// | of the License, or (at your option) any later version.                    |
// |                                                                           |
// | This program is distributed in the hope that it will be useful,           |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
// | GNU General Public License for more details.                              |
// |                                                                           |
// | You should have received a copy of the GNU General Public License         |
// | along with this program; if not, write to the Free Software Foundation,   |
// | Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.           |
// |                                                                           |
// +---------------------------------------------------------------------------+
//

require_once('../lib-common.php');
 
/* 
* Main Function
*/

$display = COM_siteHeader();

    $templates = new Template ($_CONF['path'] . 'plugins/testimonials/templates');
    $templates->set_file (array ('list' => 'index.thtml',
                                 'row'  => 'indexitem.thtml'
                         ));
    $templates->set_var ('site_url', $_CONF['site_url']);
    $templates->set_var ('layout_url', $_CONF['layout_url']);
	$templates->set_var ('header', $LANG_TSTM01['header']);

    $result = DB_query ("SELECT clientname,company,text_full,homepage FROM " . $_TABLES['testimonials'] . " ORDER BY tst_date DESC");
    $num = DB_numRows ($result);

    for ($i = 0; $i < $num; $i++) {
        $A = DB_fetchArray ($result);

        $templates->set_var ('row_client', stripslashes($A['clientname']));
        $templates->set_var ('row_text_full', nl2br(stripslashes($A['text_full'])));
		
			if ($A['company']=='') {
			$templates->set_var ('row_link', $A['homepage']);
			} else {
			$templates->set_var ('row_link', $A['company']);
			}
        
		if ($A['homepage']=='') {
		$templates->set_var ('start_headers_anchortag', '');
        $templates->set_var ('end_headers_anchortag', '');
		} else {
		$url = $A['homepage'];
        $templates->set_var ('start_headers_anchortag', '<a href="' . $url . '">');
        $templates->set_var ('end_headers_anchortag', '</a>');
		}

        $templates->parse ('log_row', 'row', true);
    }

    $templates->parse('output', 'list');
    $display .= $templates->finish($templates->get_var('output'));

$display .= COM_siteFooter();

echo $display;
?>